/*
 * @(#)LongEditor.java	1.13 05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.beans.editors;

/**
 * Property editor for a java builtin "long" type.
 *
 */

import java.beans.*;

public class LongEditor extends NumberEditor {

    public String getJavaInitializationString() {
	return (getValue() + "L");
    }

    public void setAsText(String text) throws IllegalArgumentException {
	setValue(Long.valueOf(text));
    }

}

