/*
 * @(#)ByteToCharCp838.java	1.16	05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */


package sun.io;

import sun.nio.cs.ext.IBM838;

/**
 * A table to convert to Cp838 to Unicode
 *
 * @author  ConverterGenerator tool
 * @version >= JDK1.1.6
 */

public class ByteToCharCp838 extends ByteToCharSingleByte {

    private final static IBM838 nioCoder = new IBM838();

    public String getCharacterEncoding() {
        return "Cp838";
    }

    public ByteToCharCp838() {
        super.byteToCharTable = nioCoder.getDecoderSingleByteMappings();
    }
}
