/*
 * @(#)ByteToCharCp922.java	1.16	05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */


package sun.io;

import sun.nio.cs.ext.IBM922;

/**
 * A table to convert to Cp922 to Unicode
 *
 * @author  ConverterGenerator tool
 * @version >= JDK1.1.6
 */

public class ByteToCharCp922 extends ByteToCharSingleByte {

    private final static IBM922 nioCoder = new IBM922();

    public String getCharacterEncoding() {
        return "Cp922";
    }

    public ByteToCharCp922() {
        super.byteToCharTable = nioCoder.getDecoderSingleByteMappings();
    }
}
