/*
 * @(#)ByteToCharUnicodeLittleUnmarked.java	1.7 05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.io;
import java.io.*;


/**
 * Convert byte arrays containing Unicode characters into arrays of actual
 * Unicode characters, assuming a little-endian byte order and requiring no
 * byte-order mark.
 *
 * @version 	1.7, 05/11/17
 * @author	Mark Reinhold
 */

public class ByteToCharUnicodeLittleUnmarked extends ByteToCharUnicode {

    public ByteToCharUnicodeLittleUnmarked() {
	super(LITTLE, false);
    }

}
