/*
 * @(#)OGLGraphicsConfig.java	1.4 05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.java2d.opengl;

/**
 * This interface collects the methods that are provided by both
 * GLXGraphicsConfig and WGLGraphicsConfig, making it easier to invoke these
 * methods directly from OGLSurfaceData.
 */
interface OGLGraphicsConfig {
    OGLContext getContext();
    long getNativeConfigInfo();
    boolean isCapPresent(int cap);
}
