/*
 * @(#)ByteArrayCounter.java	1.4 05/11/17
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.management.counter;

/**
 * Interface for performance counter wrapping <code>byte[]</code> objects.
 *
 * @author   Brian Doherty
 * @version  1.4, 11/17/05
 */
public interface ByteArrayCounter extends Counter {

    /**
     * Get a copy of the elements of the ByteArrayCounter.
     */
    public byte[] byteArrayValue();
  
    /**
     * Get the value of an element of the ByteArrayCounter object.
     */
    public byte byteAt(int index);
}
