/*
 * @(#)LongCounter.java	1.4 05/11/17
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.management.counter;

/**
 * Interface for a performance counter wrapping a
 * <code>long</code> basic type.
 *
 * @author   Brian Doherty
 * @version  1.4, 11/17/05
 */
public interface LongCounter extends Counter {

    /**
     * Get the value of this Long performance counter
     */
    public long longValue();
}
