/*
 * @(#)ModalExclude.java	1.3 05/11/17
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.awt;

/**
 * Interface for identifying a component that will be excluded during
 * modal operations.  Implementing this interface will ensure that the
 * component willl still receive it's events.
 *
 * @version 1.3 11/17/05
 * @since 1.5
 * @author Joshua Outwater
 */
public interface ModalExclude {
}
