/*
 * @(#)MToolkitThreadBlockedHandler.java	1.7 05/11/30
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.awt.motif;

import sun.awt.datatransfer.ToolkitThreadBlockedHandler;
import sun.awt.SunToolkit;

final class MToolkitThreadBlockedHandler implements 
                                 ToolkitThreadBlockedHandler {
    private static ToolkitThreadBlockedHandler priveleged_lock = null;
    static {
        priveleged_lock = new MToolkitThreadBlockedHandler();    
    }
    private MToolkitThreadBlockedHandler() {}
    static ToolkitThreadBlockedHandler getToolkitThreadBlockedHandler() {
        return priveleged_lock;
    }
    public void lock() {
        SunToolkit.awtLock();
    }
    public void unlock() {
        SunToolkit.awtUnlock();
    }
    public native void enter();
    public native void exit();
}
