/*
 * @(#)COMPOUND_TEXT.java	1.2 05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.nio.cs.ext;

import java.nio.charset.Charset;
import java.nio.charset.CharsetEncoder;
import java.nio.charset.CharsetDecoder;

public class COMPOUND_TEXT extends Charset {
    public COMPOUND_TEXT () {
	super("COMPOUND_TEXT", null);
    }

    public CharsetEncoder newEncoder() { 
        return new COMPOUND_TEXT_Encoder(this); 
    }

    public CharsetDecoder newDecoder() { 
        return new COMPOUND_TEXT_Decoder(this); 
    }

    public boolean contains(Charset cs) { 
        return cs instanceof COMPOUND_TEXT;
    }
}
