/*
 * @(#)CK_TLS_PRF_PARAMS.java	1.2 05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.security.pkcs11.wrapper;

/**
 * CK_TLS_PRF_PARAMS from PKCS#11 v2.20.
 *
 * @author  Andreas Sterbenz
 * @version 1.2, 11/17/05
 * @since   1.6
 */
public class CK_TLS_PRF_PARAMS {
    
    public byte[] pSeed;
    public byte[] pLabel;
    public byte[] pOutput;
    
    public CK_TLS_PRF_PARAMS(byte[] pSeed, byte[] pLabel, byte[] pOutput) {
	this.pSeed = pSeed;
	this.pLabel = pLabel;
	this.pOutput = pOutput;
    }
    
}
