/*
 * @(#)UIClientPropertyKey.java	1.1 06/08/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.swing;

/**
 * This interface is used only for tagging keys for client properties
 * for {@code JComponent} set by UI which needs to be cleared on L&F
 * change.
 *  
 * All such keys are removed from client properties in {@code
 * JComponent.setUI()} method after uninstalling old UI and before
 * intalling the new one.
 */

public interface UIClientPropertyKey {
}
