/*
 * @(#)CollationData_zh_HK.java	1.3 05/11/17
 */

/*
 * Portions Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * (C) Copyright Taligent, Inc. 1996, 1997 - All Rights Reserved
 * (C) Copyright IBM Corp. 1996 - 1998 - All Rights Reserved
 *
 * The original version of this source code and documentation
 * is copyrighted and owned by Taligent, Inc., a wholly-owned
 * subsidiary of IBM. These materials are provided under terms
 * of a License Agreement between Taligent and Sun. This technology
 * is protected by multiple US and International patents.
 *
 * This notice and attribution to Taligent may not be removed.
 * Taligent is a registered trademark of Taligent, Inc.
 *
 */

package sun.text.resources;

import java.util.Locale;
import java.util.ResourceBundle;
import sun.util.EmptyListResourceBundle;
import sun.util.resources.LocaleData;

public class CollationData_zh_HK extends EmptyListResourceBundle {

    // reparent to zh_TW for traditional Chinese collation sequence
    public CollationData_zh_HK() {
        ResourceBundle bundle = LocaleData.getCollationData(Locale.TAIWAN);
        setParent(bundle);
    }
}
