/*
 * @(#)ExpressionEvaluator.java	1.2 05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.tools.jstat;

import sun.jvmstat.monitor.MonitorException;

/**
 * An interface to allow an object to visit an Expression object and
 * evaluate based on some context.
 *
 * @author Brian Doherty
 * @version 1.2, 11/17/05
 * @since 1.5
 */
interface ExpressionEvaluator {
    Object evaluate(Expression e) throws MonitorException;
}
